%global momorel 1
%global uim_ver 1.4.1
%global scim_ver 1.4.6
%global scim_major_version 1.4.0
%global md5sum_src0 3841556bc0e5a94b1a268751432712d3

Summary: SCIM-UIM input method engine which use uim library as the backend
Name: scim-uim
Version: 0.2.0
Release: %{momorel}m%{?dist}
License: GPL
URL: http://www.scim-im.org/
Group: Applications/System
%NoSource 0 http://dl.sourceforge.net/sourceforge/scim/%{name}-%{version}.tar.gz %{md5sum_src0}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: scim >= %{scim_ver}
Requires: uim >= %{uim_ver}
BuildRequires: scim-devel >= %{scim_ver}
BuildRequires: uim-devel >= %{uim_ver}

%description
This is a SCIM IMEngine module which uses UIM input method library
as the backend.

%prep
%setup -q

%build
%configure --disable-static
%make

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

find %{buildroot} -name "*.la" -delete

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README THANKS
%{_libdir}/scim-1.0/%{scim_major_version}/IMEngine/uim.so
%{_datadir}/scim/icons/scim-uim.png

%changelog
* Mon Apr 30 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.0-1m)
- version 0.2.0
- remove remove-surrounding_text.patch

* Wed Apr 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.4-1m)
- version 0.1.4
- add remove-surrounding_text.patch

* Wed Feb 14 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.1.3-11m)
- delete libtool library

* Wed Feb  7 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.3-10m)
- rebuild against uim-1.4.0

* Sun Oct 22 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.1.3-9m)
- modify %%files for scim-1.4.5

* Sat Aug  5 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.3-8m)
- rebuild against uim-1.2.0

* Sat Jun 10 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.3-7m)
- rebuild against uim-1.1.0

* Thu Aug 11 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.3-6m)
- rebuild against scim-1.4.1-1m
- change URL

* Thu Mar  3 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.3-5m)
- remove xim.d/scim-uim

* Thu Mar  3 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.3-4m)
- add QT_IM_MODULE to xim.d/scim-uim

* Thu Mar  3 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.3-3m)
- rebuild against scim-1.2.0

* Wed Sep 29 2004 kourin <kourin@fh.freeserve.ne.jp>
- (0.1.3-2m)
- minor fix

* Tue Sep 21 2004 Meke <meke@apost.plala.or.jp>
- (0.1.3-1m)
- import VineSeedPlus
- add /etc/X11/xinit/xim.d/scim-uim
- fix build.

* Wed Sep  8 2004 IWAI, Masaharu <iwai@alib.jp> 0.1.3-0vl1
- initial build

